# mapclassify.MaxP

class mapclassify.MaxP(y, k=5, initial=1000, seed1=0, seed2=1)

  MaxP Map Classification. Based on Max-p regionalization algorithm.

  Parameters:
    y `numpy.array`

      \((n,1)\), values to classify.

    k `int` (`default` K==5)

      Number of classes required.

    initial `int` (`default` 1000)

      Number of initial solutions to use prior to swapping.

    seed1 `int` (`default` 0)

      Random state for initial building process.

    seed2 `int` (`default` 1)

      Random state for swapping process.

  Attributes:
    yb `numpy.array`

      \((n,1)\), bin IDs for observations.

    bins `numpy.array`

      \((k,1)\), the upper bounds of each class.

    k `int`

      The number of classes.

    counts `numpy.array`

      \((k,1)\), the number of observations falling in each class.

  Examples

      >>> import mapclassify
      >>> cal = mapclassify.load_example()
      >>> mp = mapclassify.MaxP(cal)
      >>> mp.bins
      array([3.16000e+00, 1.26300e+01, 1.67000e+01, 2.04700e+01, 4.11145e+03])

      >>> mp.counts.tolist()
      [18, 16, 3, 1, 20]

  __init__(y, k=5, initial=1000, seed1=0, seed2=1)

  Methods

  `__init__`(y[, k, initial, seed1, seed2]) |
  `find_bin`(x) | Sort input or inputs according to the current bin estimate.
  `get_adcm`() | Absolute deviation around class median (ADCM).
  `get_fmt`() |
  `get_gadf`() | Goodness of absolute deviation of fit.
  `get_legend_classes`([fmt]) | Format the strings for the classes on the legend.
  `get_tss`() | Returns sum of squares over all class means.
  `make`(*args, **kwargs) | Configure and create a classifier that will consume data and produce classifications, given the configuration options specified by this function.
  `plot`(gdf[, border_color, border_width, ...]) | Plot a mapclassifier object.
  `plot_histogram`([color, linecolor, ...]) | Plot histogram of y with bin values superimposed
  `plot_legendgram`(*[, ax, cmap, bins, inset, ...]) | Plot a legendgram, which is a histogram with classification breaks.
  `set_fmt`(fmt) |
  `table`() |
  `update`([y, inplace]) | Add data or change classification parameters.

  Attributes

  `fmt` |